Subject: Re: [bug#29897] [PATCH core-updates] gnu: java-aqute-libg: Fix compilation on java8.

From: Gábor Boskovits <[email-masked]>
Date: Fri, 26 Jan 2018 10:58:23 +0100

Actually, is seems that I was wrong after all, I could not move the
testresources to a location which is good.
I've checked in build.gradle how is it done. The relevant part is this:

    /* test folders are not part of jar but used by unit tests  */
    def testfolders = ['testresources/', 'testdata/']
    jar {
      projectDirInputsExcludes << '.*'
      projectDirInputsExcludes += testfolders
    }
    test {
      testLogging {
        exceptionFormat 'full'
      }
      inputs.files fileTree(projectDir) {
        include testfolders
        exclude {
          def f = it.file
          if (f.directory && f.list().length == 0) {
            return true
          }
          try {
            return "git check-ignore ${f}".execute().waitFor() == 0
          } catch (Exception e) {
            return false
          }
        }
      }

How could we replicate this behaviour?

It would also worth checking if the situation regarding these test is the
same in version 3.5.0?

Currently I see https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30062
<https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30062> as a blocking issue
to the upgrade.

2018-01-25 22:47 GMT+01:00 Gábor Boskovits <[email-masked]>:

> It seems, that moving the tests and not moving the tesresources directory
> breaks the relatitve paths in the tests.
> Tomorrow I will check what happens if we also move the testresources.
>
> 2018-01-25 10:30 GMT+01:00 Chris Marusich <[email-masked]>:
>
>> Gábor Boskovits <[email-masked]> writes:
>>
>> > Thanks for the corrections.
>> > Looks good to me,
>> > I won't send an updated patch then.
>> > Please commit with the modifications.
>>
>> I made the modifications and also tried to enable the tests (see
>> attached patch), but I discovered that some of the tests are failing
>> (and some are passing).  Perhaps we should try fixing the tests while
>> we're here?  If you do
>>
>>   /pre-inst-env guix build --keep-failed java-aqute-libg
>>
>> you can see the failures.  The build directory will be kept.  If we go
>> to it, we can find a report of the test failures under the path:
>>
>>   bnd-3.4.0.REL/aQute.libg/test/test-reports
>>
>> Unfortunately, the ant-build-system doesn't compile the classes with
>> debug info by default.  To enable line numbers etc. in the stack traces,
>> we'll need to add
>>
>>   debug="true"
>>
>> to the relevant <javac> tags, as described here:
>>
>> https://ant.apache.org/manual/Tasks/javac.html
>>
>> If you could help debug the failures, that would be nice.  I will also
>> look as I get time.
>>
>> --
>> Chris
>>
>
>